BeagleWksSSParser Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
BeagleWksSSParser Class Reference

the main class to read a BeagleWorks spreadsheet file More...

`#include <BeagleWksSSParser.hxx>`

Inheritance diagram for BeagleWksSSParser:

## Public Member Functions
| BeagleWksSSParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~BeagleWksSSParser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGSpreadsheetInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWSpreadsheetParser
virtual | ~MWAWSpreadsheetParser ()
| destructor More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
void | createDocument (librevenge::RVNGSpreadsheetInterface *documentInterface)
| creates the listener which will be associated to the document More...
MWAWVec2f | getPageLeftTop () const
| returns the page left top point ( in inches) More...
void | newPage (int number)
| adds a new page More...
bool | sendSpreadsheet ()
| try to send the main spreadsheet More...
bool | sendText (MWAWEntry entry, bool headerFooter=false)
| try to send a text zone More...
bool | sendPageFrames ()
| try to send the page graphic More...
bool | sendFrame (BeagleWksStructManager::Frame const &frame)
| try to send a frame More...
bool | sendPicture (int pId, MWAWPosition const &pos, MWAWGraphicStyle const &style=MWAWGraphicStyle::emptyStyle())
| try to send a picture More...
bool | createZones ()
| finds the different objects zones More...
bool | readRSRCZones ()
| read the resource fork zone More...
bool | readPrintInfo ()
| read the print info zone More...
bool | readChartZone ()
| read the chart zone More...
bool | readChart ()
| read a chart More...
bool | readSpreadsheet ()
| read the spreadsheet zone More...
bool | readRowSheet (BeagleWksSSParserInternal::Spreadsheet &sheet)
| read the spreadsheet row More...
bool | readCellSheet (BeagleWksSSParserInternal::Cell &cell)
| read a cell row More...
bool | readZone0 ()
| read an unknown zone ( which appears before and after the columns's width zone ) More...
bool | readColumnWidths (BeagleWksSSParserInternal::Spreadsheet &sheet)
| read the columns widths More...
bool | readFormula (BeagleWksSSParserInternal::Spreadsheet &sheet)
| read the differents formula More...
MWAWInputStreamPtr | rsrcInput ()
| return the input input More...
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc More...
Protected Member Functions inherited from MWAWSpreadsheetParser
| MWAWSpreadsheetParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWSpreadsheetParser (MWAWParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
shared_ptr< BeagleWksSSParserInternal::State > | m_state
| the state More...
shared_ptr< BeagleWksStructManager > | m_structureManager
| the structure manager More...

## Friends
struct | BeagleWksSSParserInternal::Chart
class | BeagleWksSSParserInternal::SubDocument

## Detailed Description

the main class to read a BeagleWorks spreadsheet file

## Constructor & Destructor Documentation

## § BeagleWksSSParser()

BeagleWksSSParser::BeagleWksSSParser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

## § ~BeagleWksSSParser()

BeagleWksSSParser::~BeagleWksSSParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## § checkHeader()

bool BeagleWksSSParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

## § createDocument()

void BeagleWksSSParser::createDocument | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

## § createZones()

bool BeagleWksSSParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

## § getPageLeftTop()

MWAWVec2f BeagleWksSSParser::getPageLeftTop | ( |  | ) | const
| protected

returns the page left top point ( in inches)

## § init()

void BeagleWksSSParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by BeagleWksSSParser().

## § newPage()

void BeagleWksSSParser::newPage | ( | int | number | ) |
| protected

adds a new page

## § parse()

void BeagleWksSSParser::parse | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Implements MWAWSpreadsheetParser.

## § readCellSheet()

bool BeagleWksSSParser::readCellSheet | ( | BeagleWksSSParserInternal::Cell & | cell | ) |
| protected

read a cell row

Referenced by readRowSheet().

## § readChart()

bool BeagleWksSSParser::readChart | ( |  | ) |
| protected

read a chart

Referenced by readChartZone().

## § readChartZone()

bool BeagleWksSSParser::readChartZone | ( |  | ) |
| protected

read the chart zone

Referenced by createZones().

## § readColumnWidths()

bool BeagleWksSSParser::readColumnWidths | ( | BeagleWksSSParserInternal::Spreadsheet & | sheet | ) |
| protected

read the columns widths

Referenced by readSpreadsheet().

## § readFormula()

bool BeagleWksSSParser::readFormula | ( | BeagleWksSSParserInternal::Spreadsheet & | sheet | ) |
| protected

read the differents formula

Referenced by readSpreadsheet().

## § readPrintInfo()

bool BeagleWksSSParser::readPrintInfo | ( |  | ) |
| protected

read the print info zone

Referenced by checkHeader(), and createZones().

## § readRowSheet()

bool BeagleWksSSParser::readRowSheet | ( | BeagleWksSSParserInternal::Spreadsheet & | sheet | ) |
| protected

read the spreadsheet row

Referenced by readSpreadsheet().

## § readRSRCZones()

bool BeagleWksSSParser::readRSRCZones | ( |  | ) |
| protected

read the resource fork zone

Referenced by createZones().

## § readSpreadsheet()

bool BeagleWksSSParser::readSpreadsheet | ( |  | ) |
| protected

read the spreadsheet zone

Referenced by createZones().

## § readZone0()

bool BeagleWksSSParser::readZone0 | ( |  | ) |
| protected

read an unknown zone ( which appears before and after the columns's width zone )

Referenced by readSpreadsheet().

## § rsrcAscii()

libmwaw::DebugFile & BeagleWksSSParser::rsrcAscii | ( |  | ) |
| protected

a DebugFile used to write what we recognize when we parse the document in rsrc

## § rsrcInput()

MWAWInputStreamPtr BeagleWksSSParser::rsrcInput | ( |  | ) |
| protected

return the input input

## § sendFrame()

bool BeagleWksSSParser::sendFrame | ( | BeagleWksStructManager::Frame const & | frame | ) |
| protected

try to send a frame

Referenced by sendPageFrames().

## § sendPageFrames()

bool BeagleWksSSParser::sendPageFrames | ( |  | ) |
| protected

try to send the page graphic

Referenced by sendSpreadsheet().

## § sendPicture()

bool BeagleWksSSParser::sendPicture | ( | int | pId,
|  | MWAWPosition const & | pos,
|  | MWAWGraphicStyle const & | style = `MWAWGraphicStyle::emptyStyle()`
| ) |  |
| protected

try to send a picture

Referenced by sendFrame().

## § sendSpreadsheet()

bool BeagleWksSSParser::sendSpreadsheet | ( |  | ) |
| protected

try to send the main spreadsheet

Referenced by parse().

## § sendText()

bool BeagleWksSSParser::sendText | ( | MWAWEntry | entry,
|  | bool | headerFooter = `false`
| ) |  |
| protected

try to send a text zone

Referenced by BeagleWksSSParserInternal::SubDocument::parse().

## Friends And Related Function Documentation

## § BeagleWksSSParserInternal::Chart

friend struct BeagleWksSSParserInternal::Chart
| friend

## § BeagleWksSSParserInternal::SubDocument

friend class BeagleWksSSParserInternal::SubDocument
| friend

## Member Data Documentation

## § m_state

shared_ptr<BeagleWksSSParserInternal::State> BeagleWksSSParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), getPageLeftTop(), init(), newPage(), readCellSheet(), readChart(), readSpreadsheet(), and sendSpreadsheet().

## § m_structureManager

shared_ptr<BeagleWksStructManager> BeagleWksSSParser::m_structureManager
| protected

the structure manager

Referenced by createDocument(), createZones(), init(), readFormula(), readRSRCZones(), sendPageFrames(), and sendPicture().

The documentation for this class was generated from the following files:

- BeagleWksSSParser.hxx
- BeagleWksSSParser.cxx